mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.Serialization.IFormatter System.Runtime.InteropServices.ComVisible(true)

The interface allows the implementing formatter to send and receive remote procedure calls (RPCs). For more information, see . This interface is derived from .

Provides the remote procedure call (RPC) interface for all formatters.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` ``

  objects contain information about a remote function call (for example, transaction ID or a method signature).

  See the SOAP specification for more information on headers.

  Begins the deserialization process of a remote procedure call (RPC).

  The root of the deserialized object graph.

  The from which the data is deserialized. The delegate designed to handle objects. Can be null.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  objects contain information about a remote function call (for example, transaction ID or a method signature).

  See the SOAP specification for more information on headers.

  Starts the serialization process of a remote procedure call (RPC).

  The onto which the specified graph is serialized. The root of the object graph to be serialized. The array of objects to transmit with the graph specified by the parameter. Can be null.